Loading...
Searching...
No Matches
BALL::CIFFile::Item Class Reference

`#include <BALL/FORMAT/CIFFile.h>`

## Public Member Functions

| Item ()
| Item (const Item &item)
virtual | ~Item ()
void | clear ()
void | addPair (String key, String value)
void | startLoop ()
void | addTag (String tag)
void | addValue (String value)
Index | getKeyIndex (String key)
std::ostream & | operator>> (std::ostream &os) const

## Public Attributes

bool | is_loop
std::vector< String > | keys
std::vector< std::vector< String > > | values
std::pair< String, String > | entry

## Detailed Description

Nested class for the dataitems of the CIFFile

Definition at line 38 of file CIFFile.h.

## Constructor & Destructor Documentation

## Item() [1/2]

BALL::CIFFile::Item::Item | ( |  | ) |

## Item() [2/2]

BALL::CIFFile::Item::Item | ( | const Item & | item | ) |

## ~Item()

virtual BALL::CIFFile::Item::~Item | ( |  | ) |

virtual

## Member Function Documentation

## addPair()

void BALL::CIFFile::Item::addPair | ( | String | key,
|  | String | value )

## addTag()

void BALL::CIFFile::Item::addTag | ( | String | tag | ) |

## addValue()

void BALL::CIFFile::Item::addValue | ( | String | value | ) |

## clear()

void BALL::CIFFile::Item::clear | ( |  | ) |

Acessors

## getKeyIndex()

Index BALL::CIFFile::Item::getKeyIndex | ( | String | key | ) |

Returns the index of the Item identifier key. If there is no such key, -1 is returned.

## operator>>()

std::ostream & BALL::CIFFile::Item::operator>> | ( | std::ostream & | os | ) | const

## startLoop()

void BALL::CIFFile::Item::startLoop | ( |  | ) |

## Member Data Documentation

## entry

std::pair<String, String> BALL::CIFFile::Item::entry

Stores the tag-value pair in key - value format

Definition at line 69 of file CIFFile.h.

## is_loop

bool BALL::CIFFile::Item::is_loop

Definition at line 59 of file CIFFile.h.

## keys

std::vector<String> BALL::CIFFile::Item::keys

Stores all loop data indices Stores all raw loop data

Definition at line 64 of file CIFFile.h.

## values

std::vector<std::vector<String> > BALL::CIFFile::Item::values

Stores the loop data per line

Definition at line 66 of file CIFFile.h.